Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.axis
Class CategoryLabelWidthType

    java.lang.Object
      org.jfree.chart.axis.CategoryLabelWidthType

All Implemented Interfaces:
  java.io.Serializable

public final class CategoryLabelWidthType
extends java.lang.Object
implements java.io.Serializable

Represents the width types for a category label.

See Also:
  Serialized Form

Field Summary
`static CategoryLabelWidthType` | `CATEGORY` Percentage of category.
`static CategoryLabelWidthType` | `RANGE` Percentage of range.

Method Summary
`boolean` | `equals(java.lang.Object o)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` | `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CATEGORY

    public static final CategoryLabelWidthType CATEGORY

  Percentage of category.

### RANGE

    public static final CategoryLabelWidthType RANGE

  Percentage of range.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Returns:
    The string (never null).

### equals

    public boolean equals(java.lang.Object o)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Parameters:
    `o` - the other object.
  Returns:
    A boolean.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD